<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Ordem de Produção</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.241.10.2">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.241.10.2">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.241.10.2">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.227.20.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.241.10.2">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.241.10.2" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.241.10.2">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.241.10.2">
  <style>
    #tabelaOrdemProducao td div button {
      padding: .0rem .5rem;
      margin-top: .1rem;
      margin-bottom: .2rem;
    }

    #tabelaOrdemProducao td {
      padding: 0 !important;
      padding-left: 10px !important;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Ordem de Produção</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item active">Acesso Ordem de Produção</li>
              </ol>
            </div>
          </div>
        </div>
        <div class="container-fluid" id="tabelaOrdemProducaoForne">
          <div class="row card">
            <div class="col-sm-12 mt-3">
              <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
              <button class="btn btn-danger btn-sisp" id="btnIncluir"><span class="fas fa-plus"></span> Incluir</button>
              <button class="btn btn-secondary btn-sisp" id="btnImprimir"><span class="fas fa-print pr-1" style="color: white!important"></span>Imprimir</button>
            </div>
            <div class="col-sm-12 table-responsive card-body">
              <h5>Lista de Ordem de Produções</h5>
              <table id="tabelaOrdemProducao" class="table table-responsive-sm table-select table-hover" width="100%">
                <thead>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
          <div class="modal-content" id="modalBody">
            <div class="modal-header">
              <h4 class="modal-title">Filtros</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row">
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Cadastro</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataCadastroIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Inicio</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataInicioIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Fim</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataFimIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataCadastroFim" name="DataAte">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataInicioFim" name="DataAte">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataFimFim" name="DataAte">
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">

                <div class="col-4" id="OrdemProducaoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtOrdemProducao">Ordem de Produção </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtOrdemProducao" name="txtOrdemProducao" multiple="multiple">
                    </select>
                      <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtOrdemProducao" name="txtOrdemProducao" class="form-control" placeholder="Número Ordem de Producao"> -->
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnOrdemProducao" name="btnOrdemProducao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaOrdemProducao" name="btnLimpaOrdemProducao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                  </div>
                </div>                
                <div class="col-4" id="ProdutoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtProduto">Produto </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-4 col-sm-12 col-lg-4" id="TipoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtTipo">Tipo </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtTipo" name="txtTipo" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTipo" name="txtTipo" class="form-control" placeholder="Tipo"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnTipo" name="btnTipo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaTipo" name="btnLimpaTipo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-4 col-sm-12 col-lg-4" id="TabPrazoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtTabPrazo">Periodo </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtTabPrazo" name="txtTabPrazo" multiple="multiple">
                      </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTabPrazo" name="txtTabPrazo" class="form-control" placeholder="TabPrazo"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnTabPrazo" name="btnTabPrazo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaTabPrazo" name="btnLimpaTabPrazo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-4 col-sm-12 col-lg-4" id="MaquinaInfoTour">
                  <label data-error="wrong" data-success="right" for="txtMaquina">Máquina </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtMaquina" name="txtMaquina" multiple="multiple">
                      </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMaquina" name="txtMaquina" class="form-control" placeholder="Maquina"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnMaquina" name="btnMaquina" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaMaquina" name="btnLimpaMaquina" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-4 col-sm-12 col-lg-4" id="DepositoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtDeposito">Depósito </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtDeposito" name="txtDeposito" multiple="multiple">
                      </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" class="form-control" placeholder="Deposito"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaDeposito" name="btnLimpaDeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../footer.php');
  include_once('../../../modals/modal_anexos.html');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.241.10.2"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.241.10.2"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.241.10.2"></script>
  <script src="dist/js/adminlte.min.js?versao=3.241.10.2"></script>
  <script src="dist/js/sisplan.js?versao=3.241.10.2"></script>
  <script src="utils/funcoes.js?versao=3.241.10.2"></script>
  <script src="utils/cookies.js?versao=3.241.10.2"></script>
  <script src="dist/js/requisicoes.js?versao=3.241.10.2"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.241.10.2"></script>
  <script src="dist/js/driver.min.js?versao=3.241.10.2"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.241.10.2"></script>
  <script src="plugins/moment/moment.min.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="config.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="modals/modal_anexos.js?versao=3.241.10.2"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.241.10.2"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.241.10.2"></script>

  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADOF');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/cadof/acesso_cadof/acesso_cadof.js?versao=3.241.10.2`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>

</body>

</html>