<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Serviço</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.241.10.2">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.241.10.2">

    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>


    <link rel="stylesheet" href="dist/css/custom.css?versao=3.241.10.2">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.241.10.2">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.241.10.2" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.241.10.2">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.241.10.2" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.241.10.2">
    <style>
        #tabelaServico td div button {
            padding: .0rem .5rem;
            margin-top: .1rem;
            margin-bottom: .2rem;
        }

        #tabelaServico td {
            padding: 0 !important;
            padding-left: 10px !important;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        include_once('../../../menu.php');
        ?>
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Serviço</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                                <li class="breadcrumb-item active">Acesso Serviço</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="container-fluid">
                    <div class="row card">
                        <div class="col-sm-12 mt-3">
                            <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
                            <button class="btn btn-danger btn-sisp" id="btnNovoServico"><span class="fas fa-plus"></span> Incluir</button>
                        </div>
                        <div class="col-sm-12 table-responsive card-body">
                            <h5>Lista de Serviços</h5>
                            <table id="tabelaServico" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                    <tr>
                                        <th class="th-sm">Código
                                        </th>
                                        <th class="th-sm">Descrição
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-xl" role="document">
                    <div class="modal-content" id="modalBody">
                        <div class="modal-header">
                            <h4 class="modal-title">Filtros</h4>
                            <div class="mt-2">
                                <!-- <label style="font-size: 120%" class="container escondeRadio">
                                    <input type="checkbox" id="cbRecalcular">
                                    <span class="checkmark"></span>
                                    Recalcular</label> -->
                            </div>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12 col-12 form" id="tipos">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                        <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                        <div class="form-row ml-2">
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="" checked name="opcoesRadio" id="rgTodas">
                                                <label class="form-check-label pr-4" for="rgTodas">Todas</label>
                                            </div>
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="N" name="opcoesRadio" id="rgNormal">
                                                <label class="form-check-label pr-4" for="rgNormal">Normal</label>
                                            </div>
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="R" name="opcoesRadio" id="rgRetida">
                                                <label class="form-check-label pr-4" for="rgRetida">Retida</label>
                                            </div>
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="S" name="opcoesRadio" id="rgSubstituida">
                                                <label class="form-check-label pr-4" for="rgSubstituida">Substituida</label>
                                            </div>
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="I" name="opcoesRadio" id="rgIsenta">
                                                <label class="form-check-label pr-4" for="rgIsenta">Isenta</label>
                                            </div>
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="O" name="opcoesRadio" id="rgOrgaoMun">
                                                <label class="form-check-label pr-4" for="rgOrgaoMun">Orgão Mun.</label>
                                            </div>
                                            <div class="form-group form-check">
                                                <input type="radio" class="form-check-input" value="P" name="opcoesRadio" id="rgPgMun">
                                                <label class="form-check-label pr-4" for="rgPgMun">Pg em outro Mun.</label>
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-6" id="ServicoInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtCodigo">Código: </label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Codigo">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnCodigo" name="btnCodigo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaCodigo" name="btnLimpaCodigo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6" id="ServicoInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtGrupo">Grupo: </label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtGrupo" name="txtGrupo" class="form-control" placeholder="Grupo">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnGrupo" name="btnGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaGrupo" name="btnLimpaGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12" id="ServicoInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtComplemento">Complemento: </label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtComplemento" name="txtComplemento" class="form-control" placeholder="Complemento">
                                    </div>
                                </div>

                                <div id="divRecalculo" class="col-12 mt-4 d-none">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                        <legend class="textoBorda mb-0 pb-0">Recalculo de contrato</legend>
                                        <div class="form-row bordaProduto" id="divBusca">
                                            <div class="col-md-12 col-12">
                                                <div class="row">
                                                    <div class="form-group col-md-12 col-12">
                                                        <div class="input-group">
                                                            <div class="col-4">
                                                                <label data-error="wrong" data-success="right" for="txtGrupo">Vigência De/ Até: </label>
                                                                <div class="input-group">
                                                                    <input type="date" class="input-default focus form-control" id="dtVigenciaDe" name="dtVigenciaDe" class="form-control">
                                                                    <input type="date" class="input-default focus form-control" id="dtVigenciaAte" name="dtVigenciaAte" class="form-control">
                                                                </div>
                                                            </div>
                                                            <div class="col-2">
                                                                <label data-error="wrong" data-success="right" for="txtVigencia">Período Vigência: </label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtVigencia" name="txtVigencia" class="form-control" placeholder="Vigência">
                                                                </div>
                                                            </div>
                                                            <div class="col-2">
                                                                <label data-error="wrong" data-success="right" for="txtPercRecalculo">% Recalculo: </label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtPercRecalculo" name="txtPercRecalculo" class="form-control" value="0">
                                                                </div>
                                                            </div>
                                                            <div class="col-2 col-lg-2 mt-4">
                                                                <button class="btn bg-danger btn-block mt-1" id="btnRecalcular" name="btnRecalcular" data-button="absolute" type="button">
                                                                    <label class="m-0 p-0">Recalcular</label>
                                                                </button>
                                                            </div>
                                                            <div class="col-2 col-lg-2 mt-4">
                                                                <button class="btn bg-danger btn-block mt-1" id="btnGravar" name="btnGravar" data-button="absolute" type="button">
                                                                    <label class="m-0 p-0">Gravar</label>
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <div class="row">
                                <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                                <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
        <?php
        include_once('../../../footer.php');
        ?>
        <aside class="control-sidebar control-sidebar-dark">
        </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.241.10.2"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.241.10.2"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.241.10.2"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.241.10.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.241.10.2"></script>
    <script src="dist/js/adminlte.min.js?versao=3.241.10.2"></script>
    <script src="dist/js/sisplan.js?versao=3.241.10.2"></script>
    <script src="utils/funcoes.js?versao=3.241.10.2"></script>
    <script src="utils/cookies.js?versao=3.241.10.2"></script>
    <script src="dist/js/requisicoes.js?versao=3.241.10.2"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.241.10.2"></script>
    <script src="dist/js/driver.min.js?versao=3.241.10.2"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.241.10.2"></script>

    <script type="text/javascript" src="dist/js/sum().js?versao=3.241.10.2"></script>
    <script type="text/javascript" src="config.js?versao=3.241.10.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('CADSERVICO');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/cadservico/acesso_cadservico/acesso_cadservico.js?versao=3.241.10.2`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>