<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Ordem de Produção Simples</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.231.11.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.231.11.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.231.11.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.231.11.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.11.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.231.11.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.227.20.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.231.11.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.231.11.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.231.11.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.234.11.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.234.11.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.234.11.1">
  <style>
    #tabelaOrdemProducao td div button {
      padding: .0rem .5rem;
      margin-top: .1rem;
      margin-bottom: .2rem;
    }

    #tabelaOrdemProducao td {
      padding: 0 !important;
      padding-left: 10px !important;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Ordem de Produção Simples</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item active">Acesso Ordem de Produção Simples</li>
              </ol>
            </div>
          </div>
        </div>
        <div class="container-fluid" id="tabelaOrdemProducaoForne">
          <div class="row card">
            <div class="col-sm-12 mt-3">
              <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
              <button class="btn btn-danger btn-sisp" id="btnNovaOrdemProducao"><span class="fas fa-plus"></span> Incluir</button>
              <button class="btn btn-secondary btn-sisp" id="btnImprimirOFs"><span class="fas fa-print pr-1" style="color: white!important"></span>Imprimir</button>
            </div>
            <div class="col-sm-12 table-responsive card-body">
              <h5>Lista de Ordem de Produções</h5>
              <table id="tabelaOrdemProducao" class="table table-sm table-select table-hover" width="100%">
                <thead>
                  <tr>
                    <th class="th-sm">Numero</th>
                    <th class="th-sm">Descrição</th>
                    <th class="th-sm">Pedido</th>
                    <th class="th-sm">Facção</th>
                    <th class="th-sm">Desc. Facção</th>
                    <th class="th-sm">Saida</th>
                    <th class="th-sm">Retorno</th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
          <div class="modal-content" id="modalBody">
            <div class="modal-header">
              <h4 class="modal-title">Filtros</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row">
                <div class="col-lg-3 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Saída:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataSaidaIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-3 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataSaidaFim" name="DataAte">
                    </div>
                  </div>
                </div>
                <div class="col-lg-3 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Retorno:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataRetornoIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-3 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataRetornoFim" name="DataAte">
                    </div>
                  </div>
                </div>

                <div class="col-6" id="OrdemProducaoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtOrdemProducaoConsulta">Ordem de Produção: </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtOrdemProducaoConsulta" name="txtOrdemProducaoConsulta" class="form-control" placeholder="Número Ordem de Producao">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-OrdemProducao" name="btn-OrdemProducao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-OrdemProducao" name="btn-limpa-OrdemProducao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <!-- <div class="col-lg-4 col-12 mt-2">
                  <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtSubColecao">Sub-Coleção: </label>
                  <div class="relative">
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtSubColecao" name="txtSubColecao" class="form-control" placeholder="Sub-Coleção">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnConsultaSubColecao" name="btnConsultaSubColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaSubColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div> -->



                <div class="col-6" id="ProdutoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtProdutoConsulta">Produto: </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProdutoConsulta" name="txtProdutoConsulta" class="form-control" placeholder="Produto">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-Produto" name="btn-Produto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-Produto" name="btn-limpa-Produto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-6 col-sm-12 col-lg-6" id="ClienteInfoTour">
                  <label data-error="wrong" data-success="right" for="txtClienteConsulta">Cliente: </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClienteConsulta" name="txtClienteConsulta" class="form-control" placeholder="Cliente">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-ClienteConsulta" name="btn-ClienteConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-ClienteConsulta" name="btn-limpa-ClienteConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-6 col-sm-12 col-lg-6" id="PedidoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtPedidoConsulta">Pedido: </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtPedidoConsulta" name="txtPedidoConsulta" class="form-control" placeholder="Pedido">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-PedidoConsulta" name="btn-PedidoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-PedidoConsulta" name="btn-limpa-PedidoConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6 col-sm-6 col-6">
                  <div class="group-default form-group">
                    <label for="txtStatus">Status:</label>
                    <div class="relative">
                      <select id="txtStatus" class="input-default focus form-control validate">
                        <option value=" " selected>Todos</option>
                        <option value="1">Pendentes</option>
                        <option value="2">Faturadas</option>
                        <option value="3">Finalizadas</option>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6 col-sm-6 col-6">
                  <div class="group-default form-group">
                    <label for="Situacao">Situação:</label>
                    <div class="relative">
                      <select id="txtSituacao" class="input-default focus form-control validate">
                        <option value="Normal" selected>Normal</option>
                        <option value="Reprocesso">Reprocesso</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../footer.php');
  include_once('../../../modals/modal_anexos.html');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=1.3.7"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=1.3.7"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=1.3.7"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=1.3.7"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=1.3.7"></script>
  <script src="dist/js/adminlte.min.js?versao=1.3.7"></script>
  <script src="dist/js/sisplan.js?versao=1.3.7"></script>
  <script src="utils/funcoes.js?versao=1.3.7"></script>
  <script src="utils/cookies.js?versao=1.3.7"></script>
  <script src="dist/js/requisicoes.js?versao=1.3.7"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=1.3.7"></script>
  <script src="dist/js/driver.min.js?versao=1.3.7"></script>
  <script src="plugins/toastr/toastr.min.js?versao=1.3.7"></script>
  <script src="plugins/moment/moment.min.js?versao=1.3.7"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=1.3.7"></script>
  <script type="text/javascript" src="config.js?versao=1.3.7"></script>
  <script type="text/javascript" src="modals/modal_anexos.js?versao=3.241.10.2"></script>

  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('ORDEMPRODUCAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/ordemproducao/acesso_ordemproducao/acesso_ordemproducao.js?versao=1.3.7`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>

</body>

</html>