<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Receber</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.241.10.2">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.241.10.2">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.241.10.2">
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.241.10.2" />
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.241.10.2" />
  <link rel="stylesheet" href="../dist/css/select.bootstrap.min.css?versao=3.241.10.2" />
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.241.10.2">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


</head>
<style>
  #msform {
    text-align: start;
    position: relative;
  }

  .card {
    box-shadow: none !important;
    border-radius: 0 !important;
    margin-bottom: 0 !important;
  }

  .card-header {
    box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
  }

  .card-body {
    padding-left: 1.25rem !important;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-right: 1.25rem !important;
  }

  .fa-angle-right,
  .fa-angle-down {
    color: #343a40;
  }

  .header-content-page .title-page,
  .title-content-page .title,
  .title-page {
    font-size: 20px;
    line-height: normal;
    font-weight: 500;
    color: #343a40;
    margin: 0;
    font-family: Roboto, Arial, sans-serif;
  }

  #DadosGerais>.card,
  #obs>.card {
    background: #f7f7f7;
  }
</style>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <?php
    include_once('../../../menu.php');
    ?>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h3 class='mb-2'></h3>
            </div><!-- /.col -->
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item"><a href="../receber">Receber</a></li>
                <li class="breadcrumb-item active">Cadastro</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->

          <div classe="row">
            <div class="col-12">
              <div class="card" style="height:auto;min-height:715px">
                <div class="card-header bg-dark">
                  <div class="row flex">
                    <h4 class="text-white">Cadastro Contas a Receber </h4>
                    <button title="Tutorial" class="btn btn-info btn-sm ml-2" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </div>
                </div>
                <fieldset>
                  <div class="card-body" style="padding-left: 0rem!important; padding-right: 0rem!important;">
                    <form id="msform" name="msform">
                      <div class="card card-header" role="tab" id="geral">
                        <a style="width:100%;" data-toggle="collapse" data-parent="#DadosGerais" href="#DadosGerais" aria-expanded="true" aria-controls="collapseOne1">
                          <div class="row">
                            <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                              <i class="fas fa-angle-down"></i>
                            </div>
                            <div class="col-11">
                              <h4 class="title-page">
                                Dados Gerais
                              </h4>
                            </div>
                          </div>
                        </a>
                      </div>
                      <div class="collapse show" id="DadosGerais">
                        <div class="card card-body">
                          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="dados-tab">
                            <div id="dadospreenchidos" class="form-row" style="margin-top: 10px;">
                              <div class="form-group group-default d-none col-md-4 col-12" id="divNumero">
                                <label>Numero</label>
                                <div class="relative">
                                  <input type="text" autocomplete="off" value="" class="input-default focus form-control validate" name="txtNumero" id="txtNumero" disabled>
                                  <input type="text" autocomplete="off" value="" class="input-default focus form-control validate d-none" name="txtValorPago" id="txtValorPago" disabled>
                                  <input type="text" autocomplete="off" value="" class="input-default focus form-control validate d-none" name="txtParcela" id="txtParcela" disabled>
                                  <input type="text" autocomplete="off" value="" class="input-default focus form-control validate d-none" name="txtTaxa" id="txtTaxa" disabled>
                                  <!-- <input type="text" autocomplete="off" value="" class="input-default focus form-control validate" name="txtPedido" id="txtPedido" disabled> -->
                                </div>
                              </div>
                              <div class="form-group group-default col-12 d-none" id="divDuplicata">
                                <label>Duplicata</label>
                                <div class="relative">
                                  <input type="text" disabled readonly autocomplete="off" value="" class="input-default focus form-control validate" name="txtDuplicata" id="txtDuplicata">
                                </div>
                              </div>
                            </div>

                            <div class="form-row">
                              <div class="col-md-4 col-12 form-group" id="RepresentanteInfoTour">
                                <label data-error="wrong" data-success="right" for="txtRepresentante">Representante: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtRepresentante" name="txtRepresentante" class="form-control" placeholder="Representante">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Representante" name="btn-Representante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Representante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group group-default col-md-4 col-12">
                                <label>Data de Emissão:</label>
                                <div class="relative" id="DataEmissao">
                                  <input type="date" max="2500-12-31" autocomplete="off" class="input-default focus form-control validatel" id="txtDTemissao" name="txtDTemissao">
                                </div>
                              </div>
                              <div class="form-group group-default col-md-4 col-12">
                                <label>Data de Vencimento:</label>
                                <div class="relative">
                                  <input type="date" max="2500-12-31" autocomplete="off" class="input-default focus form-control validate" id="txtDTvencimento" name="txtDTvencimento">
                                </div>
                              </div>
                              <div class="col-md-4 col-12 form-group" id="ClienteInfoTour">
                                <label data-error="wrong" data-success="right" for="txtCliente">Cliente: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control validade" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Cliente" name="btn-Cliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Cliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-md-4 col-12 form-group" id="SituacaoInfoTour">
                                <label data-error="wrong" data-success="right" for="txtSituacao">Situação: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSituacao" name="txtSituacao" class="form-control" placeholder="Situação">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Situacao" name="btn-Situacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Situacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div id="statusreceber" class="form-group group-default col-md-4 col-12">
                                <label for="Sstatus">Status: *</label>
                                <div class="relative">
                                  <select id="txtStatus" name="txtStatus" class="input-default focus form-control validate">
                                    <option value="0" selected>Selecione uma opção</option>
                                    <option value="DUPL">Duplicata</option>
                                    <option value="ANTE">Antecipação</option>
                                    <option value="ORCA">Orçamento</option>
                                    <option value="CHEQ">Cheque</option>
                                    <option value="DEVO">Devolução</option>
                                    <option value="AVDD">Aviso Débito</option>
                                    <option value="CHDE">Cheque Devolvido</option>
                                  </select>
                                </div>
                              </div>

                              <div class="col-md-4 col-12 form-group" id="BancoInfoTour">
                                <label data-error="wrong" data-success="right" for="txtBanco">Banco: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBanco" name="txtBanco" class="form-control" placeholder="Banco">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Banco" name="btn-Banco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Banco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              <div class="col-md-4 col-12" id="ClasseInfoTour">
                                <label data-error="wrong" data-success="right" for="txtClasse">Classe: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasse" name="txtClasse" class="form-control" placeholder="Classe">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Classe" name="btn-Classe" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Classe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-md-4 col-12" id="ClasseInfoTour">
                                <label data-error="wrong" data-success="right" for="txtHistorico">Histórico:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistorico" name="txtHistorico" class="form-control" placeholder="Histórico">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnHistorico" name="btnHistorico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaHistorico" name="txtLimpaHistorico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div id="nrCaixa" class="form-group col-md-4 col-12 d-none">
                                <label data-error="wrong" data-success="right" for="txtnrCaixa">Caixa: </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtnrCaixa" name="txtnrCaixa" class="form-control" placeholder="Caixa">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Caixa" name="btn-Caixa" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Caixa" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div id="Moeda" class="form-group col-md-4 col-12 d-none">
                                <label data-error="wrong" data-success="right" for="txtMoeda">Moeda: </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMoeda" name="txtMoeda" class="form-control" placeholder="Moeda">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Moeda" name="btn-Moeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Moeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div id="divConta" class="col-4 d-none">
                                <label data-error="wrong" data-success="right" for="txtConta">Conta:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtConta" name="txtConta" class="form-control" placeholder="Conta">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-Conta" name="btn-Conta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Conta" name="btn-limpa-Conta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div id="valorreceber" class="form-group col-md-4 col-12">
                                <label>Valor: *</label>
                                <div class="relative">
                                  <input type="text" autocomplete="off" value="0.0" maxlength="13" class="input-default focus form-control validate" id="txtValor" name="txtValor">
                                  <input type="text" autocomplete="off" value="0.0" maxlength="13" class="input-default focus form-control validate d-none" id="txtValorTotal" name="txtValorTotal">
                                </div>
                              </div>
                              <div class="form-group col-md-4 col-12">
                                <label>Nota Fiscal:</label>
                                <div class="relative">
                                  <input type="text" class="input-default focus form-control validate" id="fatura" name="fatura">
                                </div>
                              </div>
                              <div id="LancaCC" class="col--md-4 col-lg-3 mt-4 pt-3 d-none">
                                <label for="cbNaoLancaCc" id="labelNaoLancaCc">
                                  <input type="checkbox" id="cbNaoLancaCc"> Não lançar conta corrente
                                </label>
                                <!-- <input type="checkbox" id="cbNaoLancaCc" style="width: 20px; height: 20px; margin-right: 10px;" class="d-none">
                                <label for="cbNaoLancaCc" id="labelNaoLancaCc" style="margin-bottom: 0rem!important;" class="d-none">
                                  Não lançar conta corrente
                                </label> -->
                              </div>
                              <div id="nroCupom" class="form-group col-md-4 col-12 d-none">
                                <div class="relative">
                                  <input type="text" autocomplete="off" value="0.0" maxlength="13" class="input-default focus form-control validate" id="nroCupom" name="nroCupom">
                                </div>
                              </div>
                              <div class="form-group col-md-4 col-12">
                                <label for="txtPedido">Pedido:</label>
                                <div class="relative">
                                  <input type="text" class="input-default focus form-control validate" name="txtPedido" id="txtPedido">
                                </div>
                              </div>
                              <!-- <div id="fatura" class="form-group col-md-4 col-12 d-none">
                                <div class="relative">
                                  <input type="text" autocomplete="off" value="0.0" maxlength="13" class="input-default focus form-control validate" id="fatura" name="fatura">
                                </div>
                              </div> -->
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="card card-header" role="tab" id="observacao">
                        <a style="width:100%;" data-toggle="collapse" data-parent="#obs" href="#obs" aria-expanded="true" aria-controls="collapseOne1">
                          <div class="row">
                            <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                              <i class="fas fa-angle-right"></i>
                            </div>
                            <div class="col-11">
                              <h4 class="title-page">
                                Observação
                              </h4>
                            </div>
                          </div>
                        </a>
                      </div>
                      <div class="collapse" id="obs">
                        <div class="card card-body">
                          <div class="form-row pt-2">
                            <div class="form-group group-default col-12">
                              <label>Observação</label>
                              <textarea style="resize: none" id="txtObs" name="txtObs" placeholder="Observação" class="input-default focus form-control validate" rows="4"></textarea>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="card card-header d-none" role="tab" id="dadoscheque">
                        <a style="width:100%;" data-toggle="collapse" data-parent="#cheque" href="#cheque" aria-expanded="true" aria-controls="collapseOne1">
                          <div class="row">
                            <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                              <i class="fas fa-angle-right"></i>
                            </div>
                            <div class="col-11">
                              <h4 class="title-page">
                                Dados do Cheque
                              </h4>
                            </div>
                          </div>
                        </a>
                      </div>
                      <div class="collapse" id="cheque">
                        <div class="card card-body">
                          <div class="form-row pt-2">
                            <div class="form-group group-default col-12">

                              <div class="col-md-2 col-12 px-0">
                                <label data-error="wrong" data-success="right" for="txtNumero_CH">nº.  Cheque:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNumero_CH" name="txtNumero_CH" class="form-control" placeholder="nº.  Cheque">
                                </div>
                              </div>

                              <div class="col-md-4 col-12">
                                <label data-error="wrong" data-success="right" for="txtCNPJ_CH">CNPJ:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCNPJ_CH" name="txtCNPJ_CH" class="form-control" placeholder="CNPJ">
                                </div>
                              </div>

                              <div class="col-md-2 col-12 pl-0">
                                <label data-error="wrong" data-success="right" for="txtBanco_CH">Banco:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBanco_CH" name="txtBanco_CH" class="form-control" placeholder="Banco">
                                </div>
                              </div>

                              <div class="col-md-2 col-12 pl-0">
                                <label data-error="wrong" data-success="right" for="txtAgencia_CH">Agência:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtAgencia_CH" name="txtAgencia_CH" class="form-control" placeholder="Agência">
                                </div>
                              </div>

                              <div class="col-md-2 col-12 px-0">
                                <label data-error="wrong" data-success="right" for="txtConta_CH">Conta:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtConta_CH" name="txtConta_CH" class="form-control" placeholder="Conta">
                                </div>
                              </div>

                              <div class="col-md-9 col-9 px-0">
                                <label data-error="wrong" data-success="right" for="txtEmissor_CH">Emissor:</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtEmissor_CH" name="txtEmissor_CH" class="form-control" placeholder="Emissor">
                                </div>
                              </div>

                              <div class="col-md-3 col-3 px-0">
                                <div class="input-group" style="margin-top: 26px; margin-left: 30px">
                                  <input type="checkbox" id="cbLancarAnte"> <label for="cbLancarAnte" style="margin-top: 6px; margin-left: 5px;">Lançar Antecipação</label>
                                </div>
                              </div>

                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="card card-header d-none" role="tab" id="dadosCartao">
                        <a style="width:100%;" data-toggle="collapse" data-parent="#cartao" href="#cartao" aria-expanded="true" aria-controls="collapseOne1">
                          <div class="row">
                            <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                              <i class="fas fa-angle-right"></i>
                            </div>
                            <div class="col-11">
                              <h4 class="title-page">
                                Dados do Cartão
                              </h4>
                            </div>
                          </div>
                        </a>
                      </div>
                      <div class="collapse d-none" id="cartao">
                        <div class="card card-body">
                          <div class="form-row">
                            <div class="col-md-3 col-12 px-0">
                              <label data-error="wrong" data-success="right" for="txtNSU">NSU</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNSU" name="txtNSU" class="form-control" placeholder="NSU">
                              </div>
                            </div>

                            <div class="col-md-3 col-12">
                              <label for="select_bandeira">Bandeira</label>
                              <div class="input-group">
                                <select class="form-control select2 select2-danger focus" id="select_bandeira" name="select_bandeira" data-dropdown-css-class="select2-danger" style="width: 100%;">
                                  <option value="" selected="selected">Selecione uma bandeira</option>
                                </select>
                              </div>
                            </div>

                            <div class="col-md-3 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtCondicaoDePagamento">Cond. Pagamento</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondicaoDePagamento" name="txtCondicaoDePagamento" placeholder="Condição de Pagamento">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-CondicaoDePagamento" name="btn-CondicaoDePagamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-condicao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-md-3 col-12">
                              <div class="group-default">
                                <label for="txtNrParcelas">Nr. Parcelas</label>
                                <div class="relative">
                                  <input type="text" placeholder="Nr. Parcelas" class="input-default" id="txtNrParcelas" value="1" name="txtNrParcelas" readonly>
                                </div>
                              </div>
                            </div>

                          </div>
                        </div>
                      </div>
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn btn-success btn-lg action-button-previous" data-dismiss="modal">Voltar</button>
                      <input id="btnGravar" type="submit" style="font-size:15px;" class="btn btn-danger btn-lg action-button" value="Gravar">
                    </form>
                  </div>
                </fieldset>
              </div><!-- card-->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.container-fluid -->
      </div> <!-- /.content-header -->
    </div><!-- /.content-wrapper -->

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php
    include_once('../../../footer.php');
    ?>
  </div><!-- /.wrapper -->

  <!-- ./wrapper -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.241.10.2"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.241.10.2"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/sisplan.js?versao=3.241.10.2"></script>
  <script src="../utils/funcoes.js?versao=3.241.10.2"></script>
  <script src="../utils/cookies.js?versao=3.241.10.2"></script>
  <script src="../dist/js/requisicoes.js?versao=3.241.10.2"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/driver.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/datetime.js?versao=3.241.10.2"></script>
  <script src="../dist/js/jquery.mask.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/jquery.inputmask.js"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.241.10.2"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.241.10.2"></script>
  <script src="../plugins/moment/moment.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/jquery.inputmask.js"></script>
  <script type="text/javascript" src="../config.js?versao=3.241.10.2"></script>
  <script>
    $(document).ready(async function () {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;
      sArquivo = `${BASE_URI}/pages/receber/cadastro_receber/receber.js?versao=3.241.10.2`;

      const temAcesso = await temAcessoTela('RECEBER');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>