<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Classe Gerencial</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.241.10.2">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.241.10.2">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.241.10.2" />
  <link href='../dist/css/bootstrap.min.css?versao=3.241.10.2'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.241.10.2">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.241.10.2">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.241.10.2">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.241.10.2">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.241.10.2">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.241.10.2">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.241.10.2" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.241.10.2">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 50%;
      float: left;
      position: relative
    }

    .labelGeral {
      margin-top: 7px;
      margin-bottom: 3px;
    }

    .labelCheck {
      font-size: 120%;
      padding: 0.2%;
      margin-left: 1%;
    }

    .configCheck {
      -ms-transform: scale(1.5);
      -moz-transform: scale(1.5);
      -webkit-transform: scale(1.5);
      -o-transform: scale(1.5);
      transform: scale(1.5);
      padding: 10px;
    }

    .radioTop {
      margin-left: 2%;
      margin-top: 2%;
      padding-left: 1%;
      padding-top: 1%;
      padding-right: 1%;
      padding-bottom: 0%;
    }

    .radiosStyle {
      margin-top: 0%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }

    .checkboxMoeda {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding-top: 3.9%;
      padding-bottom: 2.3%;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    .icheck-primary {
      margin-bottom: 0px !important;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="../index">Início</a></li>
                  <li class="breadcrumb-item"><a href="../classegerencial">Acesso Classe Gerencial</a></li>
                  <li class="breadcrumb-item active">Cadastro de Classe Gerencial</li>
                </ol>
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro de Classe Gerencial
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform" name="msform">
                      <!-- progressbar -->
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                        <li id="payment"><strong>Configuração</strong></li>
                      </ul> <!-- fieldsets -->
                      <p>Preencha os dados e clique em avançar para realizar o cadastro da classe gerencial</p>
                      <fieldset>
                        <div class="form-card" id="formcard1">
                          <h2 class="fs-title">Dados Gerais</h2>
                          <div class="row">

                            <div class="col-lg-4  col-12" id="codigotuto">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCodigo" name="txtCodigo" placeholder="Código">
                              </div>
                            </div>

                            <div class="col-lg-8  col-12" id="desctuto">
                              <label data-error="wrong" data-success="right" class="labelGeral" for="txtDescricao">Descrição *</label>
                              <input type="text" class="input-default focus form-control text-uppercase" required id="txtDescricao" name="txtDescricao" placeholder="Descrição">
                            </div>

                            <div class="col-lg-12  col-12">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtConta">Conta</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtConta" name="txtConta" class="form-control" placeholder="Conta">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnConta" name="btnConta" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnExcluiConta" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-12  col-12">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtResponsavel">Responsável</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtResponsavel" name="txtResponsavel" class="form-control" placeholder="Responsável">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnResponsavel" name="btnResponsavel" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnExcluiResponsavel" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6  col-12" id="tipotabelatuto">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtTipo">Tipo *</label>
                              <div class="input-group">
                                <select class="input-default focus form-control" required data-dropdown-css-class="select2-danger" id="txtTipo" class="custom-select">
                                  <option value="">Informe o tipo</option>
                                  <option value="Normal">Normal</option>
                                  <option value="Juros">Juros</option>
                                  <option value="Desconto">Desconto</option>
                                  <option value="Valor Pago">Valor Pago</option>
                                  <option value="Devolucao">Devolução</option>
                                  <option value="Impostos">Impostos</option>
                                  <option value="Despesas">Despesas</option>
                                  <option value="Desp. Financeiras">Desp. Financeiras</option>
                                  <option value="Materia Prima">Matéria Prima</option>
                                  <option value="Loja">Loja</option>
                                  <option value="Transitoria">Transitoria</option>
                                </select>
                              </div>
                            </div>

                            <div class="col-lg-6  col-12" id="tipotabelatuto">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtAgrupamento">Agrupamento</label>
                              <div class="input-group">
                                <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="txtAgrupamento" class="custom-select">
                                  <option value="">Informe o agrupamento</option>
                                  <option value="0-AOper">0-AOper</option>
                                  <option value="1-AInvest">1-AInvest</option>
                                  <option value="2-AFinan">2-AFinan</option>
                                </select>
                              </div>
                            </div>

                          </div>
                        </div>
                        <input type="button" name="next" class="btn-sisp next action-button" value="Avançar" id="avancar1" />
                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </fieldset>
                      <fieldset id="segundo">
                        <div class="form-card">
                          <h2 class="fs-title">Configurações</h2>
                          <div class="row">

                            <div class="col-lg  col-12" id="checkTour">
                              <div class="row">
                                <div class="col-lg  col-12">
                                  <div class="labelDep">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <legend class="textoBorda mb-0 pb-0">Conta</legend>
                                      <div class="d-flex">
                                        <div class="icheck-primary d-flex mr-3"><input type="radio" id="inputTitulo" name="Conta"><label for="inputTitulo">Título</label></div>
                                        <div class="icheck-primary d-flex"><input type="radio" id="inputAnalitica" name="Conta" checked><label for="inputAnalitica">Analítica</label></div>
                                      </div>
                                    </fieldset>
                                  </div>
                                </div>

                                <div class="col-lg  col-12 mt-0">
                                  <div class="labelDep">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <legend class="textoBorda mb-0 pb-0">Operação</legend>
                                      <div class="d-flex">
                                        <div class="icheck-primary d-flex mr-3"><input type="radio" id="inputCredito" name="Operacao" checked><label for="inputCredito">Crédito</label></div>
                                        <div class="icheck-primary d-flex"><input type="radio" id="inputDebito" name="Operacao"> <label for="inputDebito">Débito</label></div>
                                      </div>
                                    </fieldset>
                                  </div>
                                </div>

                                <div class="col-lg  col-12 mt-2">
                                  <div class="labelDep">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <legend class="textoBorda mb-0 pb-0">Custo</legend>
                                      <div class="d-flex">
                                        <div class="icheck-primary d-flex mr-3"><input type="radio" id="inputFixo" name="Custo" checked><label for="inputFixo">Fixo</label></div>
                                        <div class="icheck-primary d-flex"><input type="radio" id="inputVariavel" name="Custo"> <label for="inputVariavel">Variável</label></div>
                                      </div>
                                    </fieldset>
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 mt-3 mt-lg-0" id="checkTour">
                              <fieldset class="form border-Field mb-0" style="padding-bottom: 2px !important;">
                                <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                <div class="icheck-primary"><input type="checkbox" id="checkAtivo" checked><label for="checkAtivo"> Ativo</label> </div>
                                <div class="icheck-primary"><input type="checkbox" id="checkImportacao"><label for="checkImportacao"> Importação</label> </div>
                                <div class="icheck-primary"><input type="checkbox" id="checkAbrirDist" checked><label for="checkAbrirDist"> Abrir Distribuição por Centro de Custo</label> </div>
                              </fieldset>
                            </div>

                          </div>
                        </div>
                        <input type="button" name="gravar" class="gravar action-button" value="Gravar" id="btnGravar" />
                        <input type="button" name="previous" class="previous action-button-previous" value="Voltar" id="voltar" />
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
    </section>
  </div>
  </div>

  <?php
  include_once('../../../footer.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.241.10.2"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.241.10.2"></script>
  <!-- SweetAlert2 -->
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.241.10.2"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.241.10.2"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.241.10.2"></script>

  <script src="../dist/js/adminlte.min.js?versao=3.241.10.2"></script>

  <script src="../dist/js/requisicoes.js?versao=3.241.10.2"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.241.10.2"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.241.10.2"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/sisplan.js?versao=3.241.10.2"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.241.10.2"></script>
  <script src="../utils/funcoes.js?versao=3.241.10.2"></script>
  <script src="../utils/cookies.js?versao=3.241.10.2"></script>
  <script src="../dist/js/driver.min.js?versao=3.241.10.2"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.241.10.2"></script>
  <script type="text/javascript" src="../config.js?versao=3.241.10.2"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CLASSEGERENCIAL');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("CLASSEGERENCIAL");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/classegerencial`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/classegerencial/cadastro_classegerencial/classegerencial.js?versao=3.241.10.2`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>