<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Modalidade de Pagamento</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.238.8.1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.238.8.1">

  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


  <link rel="stylesheet" href="dist/css/custom.css?versao=3.238.8.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.238.8.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.229.22.1">
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.238.8.1" />
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.238.8.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.238.8.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.238.8.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.234.11.1">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.238.3.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.238.3.1">
  <style>
    #tabelaModalidadePagamento td div button {
      padding: .0rem .5rem;
      margin-top: .1rem;
      margin-bottom: .2rem;
    }

    /* #tabelaModalidadePagamento td {
      padding: 0 !important;
      padding-left: 10px !important;
    } */

    ;
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Modalidade de Pagamento</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item active">Modalidade de Pagamento</li>
              </ol>
            </div>
          </div>
        </div>
        <div class="container-fluid" id="divTabelaSolCompra">
          <div class="row card">
            <div class="col-sm-12 mt-3">
              <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
              <button class="btn btn-danger btn-sisp" id="btnIncluir"><span class="fas fa-plus"></span> Incluir</button>
              <button id="btnImprimir" class="btn-sisp btn btn-success"><i class="fas fa-print"></i> Imprimir</button>
            </div>

            <div class="card-body">
              <h5>Lista de Modalidades de Pagamento</h5>
              <div class="">
                <div class="col-sm-12 table-responsive card-body">
                  <table id="tabelaModalidadePagamento" class="table table-sm table-select table-hover" style="white-space: nowrap" width="100%"></table>
                  <thead>
                    <tr></tr>
                  </thead>
                  <tbody>
                    <tr></tr>
                  </tbody>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>

          <div class="modal-body">

            <div class="form-row col-lg-12 col-md-12 col-sm-12">
              <div class="form-group col-12">
                <label data-error="wrong" data-success="right" for="txtBanco">Banco: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtBanco" name="txtBanco" multiple="multiple"></select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnBanco" name="btnBanco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaBanco" name="btnLimpaBanco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="form-group col-12">
                <label data-error="wrong" data-success="right" for="txtCodigo">Código: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtCodigo" name="txtCodigo" multiple="multiple"> </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnCodigo" name="btntxtCodigo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaCodigo" name="btnLimpatxtCodigo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
            </div>

            <div class="modal-footer">
              <div class="row">
                <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  </div>
  <?php
  include_once('../../../footer.php');
  include_once('../../../modals/modal_anexos.html');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.238.8.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.238.8.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.238.8.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.238.8.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.238.8.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.238.8.1"></script>
  <script src="dist/js/sisplan.js?versao=3.238.8.1"></script>
  <script src="utils/funcoes.js?versao=3.238.8.1"></script>
  <script src="utils/cookies.js?versao=3.238.8.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.238.8.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.238.8.1"></script>
  <script src="dist/js/driver.min.js?versao=3.238.8.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.238.8.1"></script>
  <script type="text/javascript" src="modals/modal_anexos.js?versao=3.238.8.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.238.8.1"></script>
  <script type="text/javascript" src="config.js?versao=3.238.8.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.238.3.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.237.26.2"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('MODALIDADE_PAGAMENTO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/modalidade_pagamento/acesso_modalidade_pagamento/acesso_modalidade_pagamento.js?versao=3.238.8.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>